%global app_root %{_localstatedir}/www/miq
%global doc_root %{_datadir}/%{name}-doc

%global rubyver 1.9.3
%global rubyabi 1.9.1
%global systemd 1

Name:     cfme
Version:  5.2.3.2
Release:  1%{?dist}
Summary:  CloudForms Management Engine

Group:    Applications/System
License:  Unknown
URL:      https://github.com/ManageIQ/cfme 

Source0:  cfme-%{version}.tar.gz

BuildRequires: openslp-devel
BuildRequires: ruby193-ruby >= %{rubyver}
BuildRequires: ruby193-ruby-devel
BuildRequires: scl-utils-build

BuildRequires: mingw32-cfme-ruby-sfx
BuildRequires: mingw32-filesystem
BuildRequires: mingw32-libxml2
BuildRequires: mingw32-libxslt
BuildRequires: mingw32-libyaml
BuildRequires: mingw32-openssl
BuildRequires: mingw32-ruby
BuildRequires: mingw32-rubygem-ffi
BuildRequires: mingw32-rubygem-nokogiri
BuildRequires: mingw32-rubygem-win32-process
BuildRequires: mingw32-rubygem-win32-service
BuildRequires: mingw32-rubygem-windows-pr
BuildRequires: mingw32-win-iconv
BuildRequires: mingw32-zlib
BuildRequires: ruby193-ruby
BuildRequires: ruby193-rubygem-Platform
BuildRequires: ruby193-rubygem-actionpack
BuildRequires: ruby193-rubygem-actionwebservice
BuildRequires: ruby193-rubygem-activemodel
BuildRequires: ruby193-rubygem-activerecord
BuildRequires: ruby193-rubygem-activesupport
BuildRequires: ruby193-rubygem-arel
BuildRequires: ruby193-rubygem-binary_struct
BuildRequires: ruby193-rubygem-builder
BuildRequires: ruby193-rubygem-bundler
BuildRequires: ruby193-rubygem-erubis
BuildRequires: ruby193-rubygem-ezcrypto
BuildRequires: ruby193-rubygem-facade
BuildRequires: ruby193-rubygem-handsoap
BuildRequires: ruby193-rubygem-hike
BuildRequires: ruby193-rubygem-httpclient
BuildRequires: ruby193-rubygem-i18n
BuildRequires: ruby193-rubygem-journey
BuildRequires: ruby193-rubygem-log4r
BuildRequires: ruby193-rubygem-more_core_extensions
BuildRequires: ruby193-rubygem-multi_json
BuildRequires: ruby193-rubygem-rack
BuildRequires: ruby193-rubygem-rack-cache
BuildRequires: ruby193-rubygem-rack-test
BuildRequires: ruby193-rubygem-rubyzip
BuildRequires: ruby193-rubygem-rufus-lru
BuildRequires: ruby193-rubygem-rufus-scheduler
BuildRequires: ruby193-rubygem-soap4r
BuildRequires: ruby193-rubygem-sprockets
BuildRequires: ruby193-rubygem-tilt
BuildRequires: ruby193-rubygem-tzinfo
BuildRequires: ruby193-rubygem-uuidtools
BuildRequires: zip


Requires: ruby193-ruby >= %{rubyver}
Requires: ruby193-ruby(abi) = %{rubyabi}

Requires: OpenIPMI
Requires: cfme-lib
Requires: createrepo
Requires: freeipmi
Requires: fuse-libs
Requires: httpd
Requires: ipmitool
Requires: lshw
Requires: memcached
Requires: mod_ssl
Requires: net-snmp
Requires: net-snmp-libs
Requires: net-snmp-utils
Requires: nfs-utils
Requires: portmap
Requires: prince >= 9.0r2-4
Requires: qpid-cpp-client-ssl
Requires: ruby193-rubygem-Platform = 0.4.0
Requires: ruby193-rubygem-actionmailer >= 3.2.13
Requires: ruby193-rubygem-actionpack >= 3.2.13-6
Requires: ruby193-rubygem-actionwebservice >= 3.1.0
Requires: ruby193-rubygem-activemodel >= 3.2.13
Requires: ruby193-rubygem-activerecord >= 3.2.13
Requires: ruby193-rubygem-activeresource >= 3.2.13
Requires: ruby193-rubygem-activesupport >= 3.2.13
Requires: ruby193-rubygem-acts_as_list = 0.1.9
Requires: ruby193-rubygem-acts_as_tree = 0.1.1
Requires: ruby193-rubygem-addressable = 2.2.8
Requires: ruby193-rubygem-akami = 1.2.0
Requires: ruby193-rubygem-american_date = 1.0.0
Requires: ruby193-rubygem-amq-protocol >= 1.9.2
Requires: ruby193-rubygem-ancestry = 1.2.5
Requires: ruby193-rubygem-arel = 3.0.2
Requires: ruby193-rubygem-arrayfields = 4.9.0
Requires: ruby193-rubygem-awesome_print = 1.1.0
Requires: ruby193-rubygem-aws-sdk = 1.11.3
Requires: ruby193-rubygem-bcrypt-ruby = 3.0.1
Requires: ruby193-rubygem-bigdecimal = 1.1.0
Requires: ruby193-rubygem-binary_struct = 1.0.1
Requires: ruby193-rubygem-builder = 3.0.0
Requires: ruby193-rubygem-bundler = 1.3.5
Requires: ruby193-rubygem-bunny >= 1.0.7
Requires: ruby193-rubygem-capybara = 2.1.0
Requires: ruby193-rubygem-childprocess = 0.3.9
Requires: ruby193-rubygem-color = 1.4.1
Requires: ruby193-rubygem-colored = 1.2
Requires: ruby193-rubygem-daemons = 1.1.9
Requires: ruby193-rubygem-dalli = 2.2.1
Requires: ruby193-rubygem-default_value_for = 1.0.7
Requires: ruby193-rubygem-diff-lcs = 1.1.3
Requires: ruby193-rubygem-elif = 0.1.0
Requires: ruby193-rubygem-erubis = 2.7.0
Requires: ruby193-rubygem-eventmachine = 1.0.0
Requires: ruby193-rubygem-excon >= 0.31.0
Requires: ruby193-rubygem-ezcrypto = 0.7
Requires: ruby193-rubygem-facade = 1.0.5
Requires: ruby193-rubygem-factory_girl = 4.1.0
Requires: ruby193-rubygem-fattr = 2.2.1
Requires: ruby193-rubygem-ffi = 1.3.1
Requires: ruby193-rubygem-fog >= 1.19.0
Requires: ruby193-rubygem-formatador = 0.2.4
Requires: ruby193-rubygem-gyoku = 0.4.6
Requires: ruby193-rubygem-haml-rails = 0.4
Requires: ruby193-rubygem-handsoap = 0.2.5
Requires: ruby193-rubygem-highline = 1.6.19
Requires: ruby193-rubygem-hike = 1.2.1
Requires: ruby193-rubygem-hirb = 0.7.1
Requires: ruby193-rubygem-hoe = 2.12.3
Requires: ruby193-rubygem-httparty = 0.10.2
Requires: ruby193-rubygem-httpclient = 2.2.7
Requires: ruby193-rubygem-httpi = 1.1.1
Requires: ruby193-rubygem-i18n = 0.6.1
Requires: ruby193-rubygem-inifile = 2.0.2
Requires: ruby193-rubygem-io-extra = 1.2.6
Requires: ruby193-rubygem-journey = 1.0.4
Requires: ruby193-rubygem-json = 1.8.0
Requires: ruby193-rubygem-json_pure = 1.8.0
Requires: ruby193-rubygem-linux_admin >= 0.7.0
Requires: ruby193-rubygem-little-plugger = 1.1.3
Requires: ruby193-rubygem-log4r = 1.1.8
Requires: ruby193-rubygem-logging = 1.6.2
Requires: ruby193-rubygem-mail = 2.5.3
Requires: ruby193-rubygem-main = 4.7.1
Requires: ruby193-rubygem-map = 6.5.1
Requires: ruby193-rubygem-more_core_extensions >= 1.1.2
Requires: ruby193-rubygem-mime-types = 1.20.1
Requires: ruby193-rubygem-minitest = 3.2.0
Requires: ruby193-rubygem-multi_json = 1.7.7
Requires: ruby193-rubygem-multi_xml = 0.5.2
Requires: ruby193-rubygem-net-ldap = 0.2.20110317223538
Requires: ruby193-rubygem-net-ping = 1.5.3
Requires: ruby193-rubygem-net-scp = 1.1.2
Requires: ruby193-rubygem-net-sftp = 2.0.5
Requires: ruby193-rubygem-net-ssh = 2.6.5
Requires: ruby193-rubygem-netrc = 0.7.7
Requires: ruby193-rubygem-nokogiri = 1.5.6
Requires: ruby193-rubygem-nori = 1.1.4
Requires: ruby193-rubygem-open4 = 1.3.0
Requires: ruby193-rubygem-ovirt_metrics = 1.0.1
Requires: ruby193-rubygem-parallel = 0.5.21
Requires: ruby193-rubygem-pdf-writer = 1.1.8
Requires: ruby193-rubygem-pg = 0.12.2
Requires: ruby193-rubygem-polyglot = 0.3.3
Requires: ruby193-rubygem-princely = 1.2.6
Requires: ruby193-rubygem-prototype-rails = 3.2.1
Requires: ruby193-rubygem-qpid_messaging = 0.20.2
Requires: ruby193-rubygem-rack >= 1.4.5
Requires: ruby193-rubygem-rack-cache = 1.2
Requires: ruby193-rubygem-rack-ssl = 1.3.2
Requires: ruby193-rubygem-rack-test = 0.6.2
Requires: ruby193-rubygem-rails >= 3.2.13
Requires: ruby193-rubygem-railties >= 3.2.13
Requires: ruby193-rubygem-rake = 10.1.0
Requires: ruby193-rubygem-rdoc = 3.12.2
Requires: ruby193-rubygem-rest-client = 1.6.7
Requires: ruby193-rubygem-rspec = 2.12.0
Requires: ruby193-rubygem-rspec-core = 2.12.2
Requires: ruby193-rubygem-rspec-expectations = 2.12.1
Requires: ruby193-rubygem-rspec-mocks = 2.12.1
Requires: ruby193-rubygem-rspec-rails = 2.12.1
Requires: ruby193-rubygem-ruby-graphviz = 1.0.9
Requires: ruby193-rubygem-ruby-plsql = 0.4.1
Requires: ruby193-rubygem-ruby-progressbar = 0.0.10
Requires: ruby193-rubygem-rubyforge = 2.0.4
Requires: ruby193-rubygem-rubyrep = 1.2.0
Requires: ruby193-rubygem-rubywbem = 0.1.0
Requires: ruby193-rubygem-rubyzip = 0.9.5
Requires: ruby193-rubygem-rufus-lru = 1.0.5
Requires: ruby193-rubygem-rufus-scheduler = 2.0.19
Requires: ruby193-rubygem-ruport = 1.7.0
Requires: ruby193-rubygem-savon = 1.1.0
Requires: ruby193-rubygem-selenium-webdriver = 2.32.1
Requires: ruby193-rubygem-shoulda-matchers = 1.0.0
Requires: ruby193-rubygem-simple-rss = 1.2.3
Requires: ruby193-rubygem-snmp = 1.1.0
Requires: ruby193-rubygem-soap4r = 1.6.0
Requires: ruby193-rubygem-sprockets = 2.4.5
Requires: ruby193-rubygem-state_machine = 1.1.2
Requires: ruby193-rubygem-syntax = 1.0.0
Requires: ruby193-rubygem-thin = 1.3.1
Requires: ruby193-rubygem-thor = 0.18.1
Requires: ruby193-rubygem-tilt = 1.3.3
Requires: ruby193-rubygem-timecop = 0.5.3
Requires: ruby193-rubygem-transaction-simple = 1.4.0
Requires: ruby193-rubygem-treetop = 1.4.10
Requires: ruby193-rubygem-trollop = 1.16.2
Requires: ruby193-rubygem-tzinfo = 0.3.33
Requires: ruby193-rubygem-uuidtools = 2.1.3
Requires: ruby193-rubygem-vcr = 2.4.0
Requires: ruby193-rubygem-wasabi = 2.5.1
Requires: ruby193-rubygem-websocket = 1.0.7
Requires: ruby193-rubygem-xml-simple = 1.0.12
Requires: ruby193-rubygem-xpath = 2.0.0
Requires: ruby193-rubygem-ziya = 2.3.0
Requires: yum-utils



%description
CloudForms Management Engine

%package lib
Summary:   CloudForms Management Engine libraries
Group:     Applications/Internet
License:   Unknown
Requires: %{name} = %{version}-%{release}
BuildRequires: netapp-manageability-sdk-devel
BuildRequires: openssl-devel
BuildRequires: vmware-vix-disklib1-devel
BuildRequires: vmware-vix-disklib5-devel
BuildRequires: zlib-devel

Conflicts: vmware-vix-disklib1
Conflicts: vmware-vix-disklib5

# These are lies, but the vddk extensions are linked against these and
# we don't want to turn autoreqprov off.  Customers are expected to
# install these themselves.
Provides: libvixDiskLib.so.1()(64bit)
Provides: libvixDiskLib.so.1()(64bit)
Provides: libvixDiskLib.so.1(VIXDISKLIB_1.0)(64bit)
Provides: libvixDiskLib.so.1(VIXDISKLIB_1.1)(64bit)
Provides: libvixDiskLib.so.1(VIXDISKLIB_1.2)(64bit)
Provides: libvixDiskLib.so.5()(64bit)
Provides: libvixDiskLib.so.5(VIXDISKLIB_1.0)(64bit)
Provides: libvixDiskLib.so.5(VIXDISKLIB_1.1)(64bit)
Provides: libvixDiskLib.so.5(VIXDISKLIB_1.3)(64bit)
Provides: libvixDiskLib.so.5(VIXDISKLIB_5.0)(64bit)
Provides: libvixDiskLibVim.so.1()(64bit)
Provides: libvixDiskLibVim.so.5()(64bit)
Provides: libvixMntapi.so.1()(64bit)
Provides: libvixMntapi.so.1()(64bit)
Provides: libvmacore.so.1.0()(64bit)
Provides: libvmomi.so.1.0()(64bit)


%description lib
CloudForms Management Engine libraries

%package appliance
Summary:  CloudForms Management Engine appliance configuration
Group:    Applications/Internet
License:  Unknown
Requires: %{name} = %{version}-%{release}
Requires: mingw32-cfme-host
Requires: postgresql92-postgresql
Requires: postgresql92-postgresql-server

%description appliance
Appliance-only configuration and scripts

%package -n mingw32-cfme-host
Summary:  MinGW build of CFME Smart Proxy for win32 target

%description -n mingw32-cfme-host
MinGW build of CFME Smart Proxy for win32 target

%prep
%setup

%build
find . -regex '.*\.so$' -exec rm -f {} \;
rm -f lib/Verbs/implementations/lshw

pushd lib/disk/modules/MiqBlockDevOps
/usr/bin/scl enable ruby193 'ruby extconf.rb'
/usr/bin/scl enable ruby193 make && mv MiqBlockDevOps.so ..
popd

pushd lib/SlpLib/SlpLib_raw
/usr/bin/scl enable ruby193 'ruby extconf.rb'
/usr/bin/scl enable ruby193 make && mkdir ../lib/x86_64-linux && mv SlpLib_raw.so ../lib/x86_64-linux/
popd

pushd lib/disk/modules/MiqLargeFileLinux.d
/usr/bin/scl enable ruby193 'ruby extconf.rb'
/usr/bin/scl enable ruby193 make && mv MiqLargeFileLinux.so ../MiqLargeFileLinux/ruby1.9.3
popd

pushd lib/NetappManageabilityAPI/NmaCore/NmaCore_raw
/usr/bin/scl enable ruby193 'ruby extconf.rb'
/usr/bin/scl enable ruby193 "make LIBPATH='-L. -L/opt/rh/ruby193/root/usr/lib64 -L/usr/lib64 -L/usr/lib64/netapp'" && mv NmaCore_raw.so ../lib/x86_64-linux/ruby1.9.3
popd

pushd lib/VixDiskLib/VixDiskLib_raw/v1_2
/usr/bin/scl enable ruby193 'ruby extconf.rb --with-vixDiskLib-include /usr/include/vmware-vix-disklib1 --with-vixDiskLib-lib /usr/lib64/vmware-vix-disklib1'
/usr/bin/scl enable ruby193 make && mv VixDiskLib_raw.so ../../lib/x86_64-linux/ruby1.9.3/VixDiskLib_raw.1.2.so
popd

pushd lib/VixDiskLib/VixDiskLib_raw/v5_1
/usr/bin/scl enable ruby193 'ruby extconf.rb --with-vixDiskLib-include /usr/include/vmware-vix-disklib5 --with-vixDiskLib-lib /usr/lib64/vmware-vix-disklib5'
/usr/bin/scl enable ruby193 make && mv VixDiskLib_raw.so ../../lib/x86_64-linux/ruby1.9.3/VixDiskLib_raw.5.1.so
popd

### Smart Proxy

# collect ruby
mkdir mingw-ruby
pushd mingw-ruby
mkdir bin lib
for bin in msvcrt-ruby191.dll libssl-10.dll libcrypto-10.dll libyaml-0-2.dll zlib1.dll libexslt-0.dll libxml2-2.dll libxslt-1.dll iconv.dll ruby.exe; do
    cp /usr/i686-w64-mingw32/sys-root/mingw/bin/${bin} bin/
done

cp -r /usr/i686-w64-mingw32/sys-root/mingw/lib/ruby lib/

# collect gems
gems="
actionpack
actionwebservice
activemodel
activerecord
activesupport
arel
binary_struct
builder
bundler
erubis
ezcrypto
facade
handsoap
hike
httpclient
i18n
journey
log4r
more_core_extensions
multi_json
Platform
rack
rack-cache
rack-test
rubyzip
rufus-lru
rufus-scheduler
soap4r
sprockets
tilt
tzinfo
uuidtools
"

pushd lib/ruby/gems/1.9.1
for gem in $gems; do
    cp -r /opt/rh/ruby193/root/usr/share/gems/gems/${gem}-[0-9]* gems/
    cp /opt/rh/ruby193/root/usr/share/gems/specifications/${gem}-[0-9]*.gemspec specifications/
done
popd
popd

pushd host/build_win
# need ruby for file collection!
. /opt/rh/ruby193/enable
make
popd

# symlink smartproxy to expected location
mkdir -p vmdb/product/media/windows/x86
pushd vmdb/product/media/windows/x86
ln -s /usr/i686-w64-mingw32/sys-root/mingw/bin/miq-host-cmd.exe .

%pre

%pretrans -p <lua>
if posix.access('/sbin/service', 'x') then
  if posix.access('/var/www/miq/vmdb/tmp/pids/evm.pid', 'r') then
    local pid = posix.fork ()
    if ( pid == -1 ) then
      print ("The fork failed.")
    elseif ( pid == 0 ) then
      posix.exec('/bin/cp', '/var/www/miq/vmdb/tmp/pids/evm.pid', '/var/www/miq/vmdb/tmp/pids/evm.pid.yum')
    else
      posix.wait(pid)
    end
  end

  local pid = posix.fork ()
  if ( pid == -1 ) then
    print ("The fork failed.")
  elseif ( pid == 0 ) then
    posix.exec('/sbin/service', 'evmserverd', 'stop')
  else
    posix.wait(pid)
  end
end

%posttrans -p <lua>
if posix.access('/var/www/miq/vmdb/tmp/pids/evm.pid.yum', 'r') then
  local pid = posix.fork ()
  if ( pid == -1 ) then
    print ("The fork failed.")
  elseif ( pid == 0 ) then
    posix.exec('/sbin/service', 'evmserverd', 'watchdog_start')
  else
    posix.wait(pid)
  end
end

%install

#remove test/development-only Gemfiles
exclude_gemfiles="vmdb/Gemfile.appliance_excludes.rb"
for gemfile in $exclude_gemfiles; do
  rm -f $gemfile
done

gemfiles="lib/Gemfile vmdb/Gemfile"
for gemfile in $gemfiles; do
  sed -i 's/,[^,]*:git.*$//' $gemfile
done

# add minitest gem to Gemfile until this can be put into a separate includes file
echo -e "\ngem \"minitest\"\n" >> vmdb/Gemfile

%{__mkdir} -p %{buildroot}
%{__mkdir} -p %{buildroot}%{app_root}
%{__cp} -r system %{buildroot}%{app_root}
%{__cp} -r vmdb %{buildroot}%{app_root}
%{__cp} -r lib %{buildroot}%{app_root}
find %{buildroot}%{app_root}/lib -type f -name '*.[cho]' -exec rm -f '{}' \;
%{__mkdir} -p %{buildroot}%{app_root}/vmdb/log/apache
%{__mkdir} -p %{buildroot}%{_sysconfdir}/httpd/conf.d

pushd %{buildroot}%{app_root}/vmdb
  ln -s lockfiles/RHEL6.4/Gemfile.lock
popd

#symlink some executables
%{__mkdir} -p %{buildroot}/bin
pushd ./system/LINK/bin
  for filename in `ls`; do
    ln -s %{app_root}/system/LINK/bin/$filename %{buildroot}/bin/$filename
  done
popd

#symlink some configuration files
pushd ./system/LINK/etc
  for dirname in `ls`; do
    pushd ./$dirname
      %{__mkdir} -p %{buildroot}/etc/$dirname
      for filename in `ls`; do
        ln -s %{app_root}/system/LINK/etc/$dirname/$filename %{buildroot}/etc/$dirname/$filename
      done
    popd
  done
popd

pushd ./system/LINK
  ln -s %{app_root}/system/LINK/.toprc %{buildroot}/.toprc
popd

#symlink license file for prince PDF
%{__mkdir} -p %{buildroot}/lib/prince/license
ln -s %{app_root}/system/LINK/lib/prince/license/license.dat %{buildroot}/lib/prince/license/license.dat

#copy etc dir from COPY
%{__cp} -r ./system/COPY/etc %{buildroot}/

#copy miq logrotate configuration
%{__mkdir} -p %{buildroot}%{_sysconfdir}/logrotate.d
%{__cp} system/TOOLS/logrotate/logrotate.d/* %{buildroot}%{_sysconfdir}/logrotate.d

%{__mkdir} -p %{buildroot}%{app_root}/lib/VixDiskLib/vddklib

# Smart Proxy
%{__mkdir} -p %{buildroot}%{mingw32_bindir}
%{__install} -m 0755 host/build_win/miq-host-cmd.exe %{buildroot}%{mingw32_bindir}/

%post lib
# With apologies to all things sane and reasonable.
libs="
libcurl.so.4
libdiskLibPlugin.so
libglib-2.0.so.0
libgmodule-2.0.so.0
libgobject-2.0.so.0
libgthread-2.0.so.0
libgvmomi.so.0
libtypes.so
libvixDiskLib.so
libvixDiskLib.so.1
libvixDiskLib.so.1.1.2
libvixDiskLib.so.5
libvixDiskLib.so.5.1.0
libvixDiskLibVim.so
libvixDiskLibVim.so.1
libvixDiskLibVim.so.1.1.1
libvixDiskLibVim.so.5
libvixDiskLibVim.so.5.1.0
libvixMntapi.so
libvixMntapi.so.1
libvixMntapi.so.1.1.0
libvixMntapi.so.1.1.1
libvmacore.so
libvmacore.so.1.0
libvmomi.so
libvmomi.so.1.0
"

cd %{app_root}/lib/VixDiskLib/vddklib

# use system openssl
ln -sf %{_libdir}/libcrypto.so.10 libcrypto.so.0.9.8
ln -sf %{_libdir}/libssl.so.10 libssl.so.0.9.8

# link everything else to where VDDK will be installed
for lib in $libs; do
    ln -sf /usr/lib/vmware-vix-disklib/lib64/$lib .
done

%postun

%files
%dir %{app_root}
%dir %{app_root}/lib/VixDiskLib/vddklib
%{app_root}/vmdb
%{app_root}/system
/bin/evm_watchdog
/bin/evm_watchdog.rb
/bin/appliance_console
/bin/miqnet.sh
/bin/miqtop.sh
/etc/cron.daily/miq-logrotate
/etc/default/evm
/etc/init.d/evminit
/etc/init.d/evmserverd
/etc/init.d/miqtop
/.toprc
/etc/logrotate.d/miq_apache
/etc/logrotate.d/miq_evm
/etc/logrotate.d/miq_postgres
/etc/profile.d/evm.sh
/lib/prince/license/license.dat

%files lib
%{app_root}/lib

%files appliance
%{_sysconfdir}/init/*
%{_sysconfdir}/sysconfig/*
%{_sysconfdir}/httpd/conf.d/*

%files -n mingw32-cfme-host
%{mingw32_bindir}/miq-host-cmd.exe

%changelog
* Tue Apr 29 2014 Joe VLcek <jVLcek@redhat.com> - 5.2.3.2-1
- rebase to new tarball from project downstream repo tag 5.2.3.2

* Wed Apr 16 2014 Joe VLcek <jVLcek@redhat.com> - 5.2.3.1-2
- Fix prince to be >= 9.0r2-4

* Wed Apr 16 2014 Joe VLcek <jVLcek@redhat.com> - 5.2.3.1-1
- rebase to new tarball from project downstream repo tag 5.2.3.1

* Tue Apr 01 2014 Joe Rafaniello <jrafanie@redhat.com> - 5.2.2.3-3
- Fix Prince PDF license file "Installed (but unpackaged) file(s) found" error.

* Mon Mar 10 2014 Brandon Dunne <bdunne@redhat.com> - 5.2.2.3-2
- set up symlink for Prince PDF license file.

* Mon Mar 03 2014 Joe VLcek <jVLcek@redhat.com> - 5.2.2.3-1
- rebase to new tarball from project downstream repo tag 5.2.2.3

* Fri Feb 28 2014 Joe VLcek <jVLcek@redhat.com> - 5.2.2.2-1
- rebase to new tarball from project downstream repo tag 5.2.2.2

* Thu Feb 20 2014 Joe Rafaniello <jrafanie@redhat.com> - 5.2.2.1-1
- rebase to new tarball from project downstream repo tag 5.2.2.1

* Thu Jan 09 2014 Joe Rafaniello <jrafanie@redhat.com> - 5.2.1.8-1
- rebase to new tarball from project downstream repo tag 5.2.1.8

* Wed Jan 08 2014 Joe VLcek <jvlcek@redhat.com> - 5.2.1.7-1
- rebase to new tarball from project downstream repo tag 5.2.1.7

* Thu Dec 19 2013 Joe Rafaniello <jrafanie@redhat.com> - 5.2.1.6-1
- rebase to new tarball from project downstream repo tag 5.2.1.6
- Updated linux_admin to 0.5.6

* Thu Dec 05 2013 Joe VLcek <jvlcek@redhat.com> - 5.2.1.5-1
- rebase to new tarball from project downstream repo tag 5.2.1.5
- Updated linux_admin

* Wed Dec 04 2013 Joe Rafaniello <jrafanie@redhat.com> - 5.2.1.4-1
- rebase to new tarball from project downstream repo tag 5.2.1.4

* Fri Nov 22 2013 Joe Rafaniello <jrafanie@redhat.com> - 5.2.1.3-1
- rebase to new tarball from project downstream repo tag 5.2.1.3

* Fri Nov 15 2013 Joe Rafaniello <jrafanie@redhat.com> - 5.2.1.2-1
- rebase to new tarball from project downstream repo tag 5.2.1.2

* Thu Nov 14 2013 Joe Rafaniello <jrafanie@redhat.com> - 5.2.1.1-1
- rebase to new tarball from project downstream repo tag 5.2.1.1

* Fri Oct 18 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.37-1
- rebase to new tarball from project downstream repo tag 5.2.0.37

* Fri Oct 18 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.36-1
- rebase to new tarball from project downstream repo tag 5.2.0.36

* Thu Oct 17 2013 Brandon Dunne <bdunne@redhat.com> - 5.2.0.35-2
- update pretrans and posttrans to call watchdog_start to async start the server

* Tue Oct 15 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.35-1
- rebase to new tarball from project downstream repo tag 5.2.0.35

* Tue Oct 15 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.34-2
- spec cleanups and version requirements for ruby193 component dependencies

* Fri Oct 11 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.34-1
- rebase to new tarball from project downstream repo tag 5.2.0.34

* Thu Oct 10 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.33-2
- rebuild to remove cruft file in tarball

* Thu Oct 10 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.33-1
- rebase to new tarball from project downstream repo tag 5.2.0.33

* Tue Oct 08 2013 Brandon Dunne <bdunne@redhat.com> - 5.2.0.32-3
- added ipmitool package for bz 1016705

* Fri Oct 04 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.32-2
- rebuilt tarball from upstream tag 5.2.0.32

* Fri Oct 04 2013 Brandon Dunne <bdunne@redhat.com> - 5.2.0.32-1
- rebase to new tarball from project downstream repo tag 5.2.0.32

* Fri Oct 04 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.31-1
- rebase to new tarball from project downstream repo tag 5.2.0.31

* Thu Oct 03 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.30-1
- rebase to new tarball from project downstream repo tag 5.2.0.30

* Thu Oct  3 2013 Brandon Dunne <bdunne@redhat.com> - 5.2.0.29-4
- Add yum-utils and createrepo to the Require list for rhn mirror functionality

* Thu Oct  3 2013 John Eckersberg <jeckersb@redhat.com> - 5.2.0.29-3
- Symlink smartproxy exe to expected location (BZ#1010448)

* Wed Oct  2 2013 John Eckersberg <jeckersb@redhat.com> - 5.2.0.29-2
- Add requires on mingw32-cfme-host for the appliance subpackage

* Wed Sep 25 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.29-1
- rebase to new tarball from project downstream repo tag 5.2.0.29

* Fri Sep 20 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.28-1
- rebase to new tarball from project downstream repo tag 5.2.0.28

* Thu Sep 19 2013 Brandon Dunne <bdunne@redhat.com> - 5.2.0.26-2
- moved apache config files to system/COPY
- remove copy of redhat_appliance_build/ROOT/etc/httpd/conf.d/*

* Fri Sep 13 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.26-1
- rebase to new tarball from project downstream repo tag 5.2.0.26

* Thu Sep 12 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.25-1
- rebase to new tarball from project downstream repo tag 5.2.0.25

* Thu Sep 12 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.24-2
- Copy in only the etc director from system/COPY
- the opt dir that now resides therein contains files that must be copied after db init

* Thu Sep 12 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.24-1
- rebase to new tarball from project downstream repo tag 5.2.0.24

* Wed Sep 11 2013 Brandon Dunne <bdunne@redhat.com> - 5.2.0.23-5
- Rewrite pretrans and posttrans in lua for kickstart environment

* Tue Sep 10 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.23-4
- fully revert bdunne pre/posttrans sections

* Tue Sep 10 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.23-3
- Bump release for rebrew

* Mon Sep 09 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.23-2
- Temporarily disable the pretrans and posttrans sections

* Mon Sep 09 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.23-1
- rebase to new tarball from project downstream repo tag 5.2.0.23

* Thu Sep 05 2013 Brandon Dunne <bdunne@redhat.com> - 5.2.0.22-2
- Add scripts to be executed before and after applying updates

* Fri Aug 30 2013 John Eckersberg <jeckersb@redhat.com> - 5.2.0.22-1
- rebase to new tarball from project downstream repo tag 5.2.0.22

* Fri Aug 30 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.21-1
- rebase to new tarball from project downstream repo tag 5.2.0.21

* Fri Aug 23 2013 John Eckersberg <jeckersb@redhat.com> - 5.2.0.20-2
- Add mingw32-cfme-host subpackage and related logic

* Fri Aug 23 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.20-1
- rebase to new tarball from project downstream repo tag 5.2.0.20

* Fri Aug 23 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.18-2
- Add Requires on prince

* Fri Aug 09 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.18-1
- rebase to new tarball from project downstream repo tag 5.2.0.18

* Thu Aug 08 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.17-2
- Add Requires on fuse-libs

* Thu Aug 08 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.17-1
- rebase to new tarball from project downstream repo tag 5.2.0.17
- Remove Requires on tiny_tds and activerecord-sqlserver-adapter

* Fri Aug 02 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.16-1
- rebase to new tarball from project downstream repo tag 5.2.0.16
- Add Requires on ruby193-rubygem-haml-rails

* Fri Jul 26 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.15-1
- rebase to new tarball from project downstream repo tag 5.2.0.15

* Fri Jul 26 2013 John Eckersberg <jeckersb@redhat.com> - 5.2.0.13-5
- Fix quoting in NmaCore make invocation

* Thu Jul 25 2013 John Eckersberg <jeckersb@redhat.com> - 5.2.0.13-4
- Munge LIBPATH on netapp binding build so it pulls in the system openssl

* Thu Jul 25 2013 John Eckersberg <jeckersb@redhat.com> - 5.2.0.13-3
- Add Conflcts for vmware-vix-disklib{1,5} to ensure it doesn't accidentally get installed

* Thu Jul 25 2013 John Eckersberg <jeckersb@redhat.com> - 5.2.0.13-2
- Re-enable building VDDK extensions

* Wed Jul 24 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.13-1
- rebase to new tarball from project downstream repo tag 5.2.0.13

* Wed Jul 24 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.12-3
- Remove Requires on open-vm-tools

* Fri Jul 19 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.12-2
- Copy over missing /.toprc file

* Fri Jul 11 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.12-1
- rebase to new tarball from project downstream repo tag 5.2.0.12

* Fri Jul 11 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.11-3
- add Requires on io-extra

* Fri Jul 11 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.11-2
- disable building of vix libs until it is fixed upstream

* Thu Jul 11 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.11-1
- rebase to new tarball from project downstream repo tag 5.2.0.11

* Wed Jul 03 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.10-1
- copy in miq logrotate.d definitions
- rebase to new tarball from project downstream repo tag 5.2.0.10

* Mon Jul 01 2013 Brandon Dunne <bdunne@redhat.com> - 5.2.0.9-5
- Add requires to resolve missing dependencies issue in PXE nfs refresh

* Mon Jul 01 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.9-4
- Create version-specific symlinks for VixDiskLib_raw.so

* Fri Jun 28 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.9-3
- Remove Requires on open-vm-tools, rhevm-guest-agent. These belong in the kickstart for an appliance image.

* Fri Jun 28 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.9-2
- Add Requires on open-vm-tools, rhevm-guest-agent

* Thu Jun 27 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.9-1
- rebase to new tarball from project downstream repo tag 5.2.0.9

* Thu Jun 20 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.8-1
- rebase to new tarball from project downstream repo tag 5.2.0.8

* Thu Jun 20 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.7-3
- Add Requires on ruby193-rubygem-linux_admin

* Wed Jun 19 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.7-2
- Add Requires on ruby193-rubygem-bcrypt-ruby

* Tue Jun 18 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.7-1
- rebase to new tarball from project downstream repo tag 5.2.0.7
- remove reference to vmdb/Gemfile.mri19.rb
- move Requires for postgresql, open-vm-tools to appliance subpackage

* Fri Jun 07 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.6-1
- rebase to new tarball from project downstream repo tag 5.2.0.6
- add Requires on open-vm-tools

* Mon Jun 03 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.5-1
- rebase to new tarball from project downstream repo tag 5.2.0.5

* Wed May 29 2013 John Eckersberg <jeckersb@redhat.com> - 5.2.0.4-4
- Create needed x86_64-linux directory under SlpLib

* Wed May 29 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.4-3
- revert application of patch to 'chkconfig httpd on'
- 'mv' .so files rather than 'cp' them
- new Requires on lshw

* Fri May 24 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.4-2
- chkconfig httpd on in cfme-setup.sh until this can be picked over to 5.2.0.x branch.

* Thu May 23 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0.1-1
- Initial rpm creation

* Mon May 20 2013 Steve Linabery <slinaber@redhat.com> - 5.2.0-0
- Initial rpm creation
